//
function msg(m,SF){	
	try{
		window.AndroidEX.MSG_BOX(m);
		if(SF!=undefined){
			jF(SF);
		}
		return true;
	} catch (e) {
		alert(m);
		if(SF!=undefined){
			jF(SF);
		}
		return true;
	} 	
}
function msg_p(m,f_n){	
	try{
		window.AndroidEX.MSG_BOX_P(m,f_n);
		return false;
	} catch (e) {
		return confirm(m)
	} 	
}
//

//
function fNuevo(){
	svv("TxtId,Com,Ser,Num,Fec,Tip,Est,EstObs");
	CBO_CLS("SubTip",1)
	sv("CmdG","Guardar");
	sv("CmdG2","Guardar");
	document.getElementById("Ser").readOnly=false;
	document.getElementById("Ser").style.backgroundColor="#FFFFFF";
	document.getElementById("CmdG").disabled=false;
	document.getElementById("CmdG2").disabled=false;	
	document.getElementById("CmdE").disabled=true;	
	document.getElementById('Fec').valueAsDate =new Date();	
}
//
function fGuardar(){
	var per_id=gv("PER_ID");
	var id=gv("TxtId");
	var co=gv("Com");
	var se=gv("Ser");
	var nu=gv("Num");
	var fe=gv("Fec");
	var ti=gv("Tip");
	var st=gv("SubTip");
	if(jVal(per_id)==0){
		return msg("Se perdio la conexion, cierre la aplicacion y vuelva a entrar","Com");
	}
	if(jL(co)==0){
		return msg("Seleccione el tipo de comprobante","Com");
	}
	if(jL(se)==0){
		return msg("Ingrese la serie del comprobante","Ser");
	}
	if(jL(nu)==0){
		return msg("Ingrese el numero del comprobante","Num");
	}
	if(jL(fe)==0){
		return msg("Seleccione una fecha","Fec");
	}
	if(jL(ti)==0){
		return msg("Seleccione un tipo de venta","Tip");
	}
	if(jL(st)==0){
		return msg("Seleccione un sub tipo de venta","SubTip");
	}
	if(st=="HFC" || st=="HFC PORTABILIDAD"){
		if(co!="INTERNO"){
			return msg("El comprobante para HFC debe ser de tipo INTERNO","SubTip");
		}
	}
	if(jVal(id)==0){
		if(msg_p("Esta seguro que desear guardar?","F_GUARDAR()")){
			F_GUARDAR();
		}
	}else{
		if(msg_p("Esta seguro que desear modificar?","F_MODIFICAR()")){					
			F_MODIFICAR();			
		}
	}
}
function F_MODIFICAR(){
	var id=gv("TxtId");
	var co=gv("Com");
	var se=gv("Ser");
	var nu=gv("Num");
	var fe=gv("Fec");
	var r=AX("CV_C1",co,se,nu,id,fe);
	r=r.split("|");
	if(r[1]=="OK"){		
		SM("M");
	}else{
		return msg(r[1],"Com");
	}
}
function F_GUARDAR(){
	var co=gv("Com");
	var se=gv("Ser");
	var nu=gv("Num");
	var fe=gv("Fec");
	var r=AX("CV_C1",co,se,nu,fe);
	r=r.split("|");
	if(r[1]=="OK"){	
		SM("G");
	}else{
		return msg(r[1],"Com");
	}
}
function F_ELIMINAR(){
	SM("E");
}
function flEliminar(){
	if(msg_p("Esta seguro que desear eliminar?","F_ELIMINAR()")){		
		SM("E");
	}
}
//
function TipOC(){
	CBO_FILL("SubTip",AX("CV_01",gv("Tip")),0);
}
//
function fListaActualizar(){
	try{
		window.AndroidEX.ACTUALIZAR_LISTA();
		return true;
	} catch (e) {
		return true;
	} 	
}
//
function flBuscar(){
	try{
		window.AndroidEX.BUSCAR();
		return true;
	} catch (e) {
		document.location="neu_cuo_ventas_lista.php";
		return true;
	} 	
}